package com.ym.mec.auth.service;

import java.util.List;

import com.ym.mec.auth.api.entity.SysUserDevice;
import com.ym.mec.common.service.BaseService;

public interface SysUserDeviceService extends BaseService<Integer, SysUserDevice> {

	List<SysUserDevice> queryByUserId(String clientId, Integer userId);

	List<SysUserDevice> queryByDeviceNum(String clientId, String deviceNum, Integer tenantId);

	/**
	 * 绑定设备号
	 * @param clientId
	 * @param userId
	 * @param deviceNum
	 * @param tenantId
	 * @return
	 */
	boolean bindDevice(String clientId, Integer userId, String deviceNum, Integer tenantId);

	/**
	 * 逻辑删除
	 * @param id
	 * @return
	 */
	boolean deleteWithLogic(Integer id);
}